Checkpoints (Slurm)
Cedana API for checkpoints (Slurm)
Use query params to filter checkpoints. Supports filtering by ids (comma-separated UUIDs for single or multiple checkpoints), job_id and cluster_id
Comma-separated list of checkpoint UUIDs to filter by
Filter by SLURM job id
Filter by cluster UUID
Returns SLURM checkpoints
Checkpoint is basic unit for cedana service operation it stores all the information regarding the snapshot we can use to save and then restore state
Invalid query parameters
Failed to connect/fetch from database
Client error
Server error
GET /v1/slurm/checkpoints HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"checksum": null,
"gpu": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"info": null,
"name": null,
"status": "initializing"
}
]Builds a new checkpoint without the metadata and information about the checkpoint with status initializing
Returns the checkpoint id for the new checkpoint
Failed create checkpoint
Failed to connect/fetch from jobs table from database
Client error
Server error
POST /v1/slurm/checkpoints HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
<uuid-v4-here>Marks checkpoint as deprecated, so that they can be removed on next internal state cleanup
Successfully deprecated checkpoint and returns id
Failed to find checkpoint from id
Failed to connect/execute request against db
Client error
Server error
PATCH /v1/slurm/checkpoints/deprecate/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
<uuid-for-checkpoint>Add information about the checkpoint
Successfully deprecated checkpoint and returns id
Failed to find checkpoint from id
Failed to connect/execute request against db
Client error
Server error
PUT /v1/slurm/checkpoints/info/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 44
{
"gpu": "text",
"info": null,
"platform": "text"
}<uuid-for-checkpoint>Marks the checkpoint as successfully uploaded
Failed mark checkpoint
Failed to connect/fetch from jobs table from database
Client error
Server error
POST /v1/slurm/checkpoints/uploaded/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21
{
"restore_path": null
}<uuid-v4-here>Last updated
Was this helpful?